/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// GLCurveChamferDlg.cpp : インプリメンテーション ファイル

#include "stdafx.h"
#include "GLCurveChamferDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGLCurveChamferDlg ダイアログ


CGLCurveChamferDlg::CGLCurveChamferDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGLCurveChamferDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGLCurveChamferDlg)
	m_bTrim = TRUE;
	m_dist1 = 1.0;
	m_dist2 = 1.0;
	m_bJoin = FALSE;
	//}}AFX_DATA_INIT
}


void CGLCurveChamferDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGLCurveChamferDlg)
	DDX_Check(pDX, IDC_CHECK_CHAMF_TRIM, m_bTrim);
	DDX_Text(pDX, IDC_EDIT_CHAMF1, m_dist1);
	DDV_MinMaxDouble(pDX, m_dist1, 0., 999999.999);
	DDX_Text(pDX, IDC_EDIT_CHAMF2, m_dist2);
	DDV_MinMaxDouble(pDX, m_dist2, 0., 999999.999);
	DDX_Check(pDX, IDC_CHECK_CHAMF_JOIN, m_bJoin);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGLCurveChamferDlg, CDialog)
	//{{AFX_MSG_MAP(CGLCurveChamferDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
